//---------------------------------------------------------------------------

#ifndef UnitFormStartMenuH
#define UnitFormStartMenuH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
#include <Dialogs.hpp>
#include <jpeg.hpp>
//---------------------------------------------------------------------------

class TFormStartMenu : public TForm
{
__published:	// IDE-managed Components
	TBitBtn *BitBtnOpenSession;
	TBitBtn *BitBtnClassicTraining;
	TBitBtn *BitBtnDynamicTraining;
	TBitBtn *BitBtnDownloadSession;
	TBitBtn *BitBtnClose;
	TTimer *TimerUpdateDeviceCounts;
	TLabel *LabelDeviceCount;
	TImage *ImageDeviceCount;
	TBitBtn *BitBtnMonitorTraining;
	TLabel *LabelWaitingForConnections;
	TPrintDialog *PrintDialog1;
	TPrinterSetupDialog *PrinterSetupDialog1;
	TPageSetupDialog *PageSetupDialog1;
	TBitBtn *ButtonAppSettings;
	TLabel *LabelPorts;
	TMemo *MemoLog;
	TImage *ImageExpertApplication;
	TImage *ImageDevicesWired;
	TImage *ImageDevicesNone;
	TImage *ImageDevicesBluetooth;
	TImage *ImageHome;
	TLabel *Label1;
	TImage *ImageAdvancedSettings;
	TImage *ImageLogo2;
	TImage *ImageLogo3;
	TButton *ButtonShowLog;
	TCheckBox *CheckBoxEnableLog;
	void __fastcall BitBtnClassicTrainingClick(TObject *Sender);
	void __fastcall BitBtnCloseClick(TObject *Sender);
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
	void __fastcall BitBtnOpenSessionClick(TObject *Sender);
	void __fastcall BitBtnDownloadSessionClick(TObject *Sender);
	void __fastcall BitBtnDynamicTrainingClick(TObject *Sender);
	void __fastcall TimerUpdateDeviceCountsTimer(TObject *Sender);
	void __fastcall FormShow(TObject *Sender);
	void __fastcall BitBtnMonitorTrainingClick(TObject *Sender);
	void __fastcall ButtonAppSettingsClick(TObject *Sender);
	void __fastcall ImageDeviceCountClick(TObject *Sender);
	void __fastcall LabelDeviceCountClick(TObject *Sender);
	void __fastcall ButtonShowLogClick(TObject *Sender);
	void __fastcall CheckBoxEnableLogClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TFormStartMenu(TComponent* Owner);

	void UpdateButtons();
};
//---------------------------------------------------------------------------
extern PACKAGE TFormStartMenu *FormStartMenu;
//---------------------------------------------------------------------------
#endif
